Subject: Re: [bitcoindev] Covenants Support - Bitcoin Wiki

From: Brandon Black <[email-masked]>
Date: Mon, 9 Dec 2024 12:45:35 -0800

Hi AJ,

On 2024-12-10 (Tue) at 06:13:50 +1000, Anthony Towns wrote:
> Personally, I find it hard to take any of this remotely seriously at this
> point; the most recent example is reardencode's claim to have created
> scripts for lightning-symmetry using either LNHANCE or CCV. This was
> done via a tweet [1] and a gist [2], without any real exploration of
> what the full transaction flow would look like. Did it have any chance of
> working? Well, no, because it had an invented "3DROP" opcode instead of
> "DROP 2DROP" or similar, just as if it were ChatGPT hallucinating what
> a wallet script might look like. That would have failed as soon as it
> had been run through any of the script test environments out there,
> let alone through any actual node software, so it's clear that nobody
> involved had done anything of the sort, even locally. If the proponents
> aren't taking their proposals seriously, why on earth should anyone else?
> 
> [1] https://x.com/reardencode/status/1864749512113483993
> [2] https://gist.github.com/reardencode/ae982ede45af12fe1ff7248fd6f1958c#file-ctv-csfs-vault-txt

You've made two strange errors in your commentary here.

First, my example scripts for Lightning Symmetry all use opcodes that do
not exist in the script testing environments so I cannot run my scripts
through those environments. The point of the exercise is to demonstrate
how the potential opcodes can perform an example protocol and roughly
how the cost compares. The fact that I misglanced the opcode list
during drafting is completely irrelevant to the exercise.

Second, I am not a "proponent" of VAULT or CCV. I'm merely demonstrating
various ways that they can be used, as a service to those who are
discussing various options for upgrading bitcoin (as I strongly implied
in my post on X - I only wrote the script you found an error in because
of others' answers on Floppy's table).

In other words, it's hard to take your commentary seriously when you
don't bother to understand either the purpose and the context of what
you are commenting on.

Hope this clarifies.

All the best,

--Brandon

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion visit https://groups.google.com/d/msgid/bitcoindev/Z1dW77h3rhr5oivP%40console.